import { genTokenPayload, getData, postData, updateData } from "./interfaces";
export { getData, postData, updateData };
export declare const getLocalStorageValue: (key: string) => any;
export declare const generateToken: (payload: genTokenPayload, secret: string) => unknown;
export declare const decodeToken: (token: string, secret: string) => unknown;
export declare const doGetApiCall: (data: getData) => Promise<unknown>;
export declare const doPostApiCall: (data: postData) => Promise<unknown>;
export declare const doUploadMediaApiCall: (data: any) => Promise<unknown>;
export declare const doDeleteApiCall: (data: updateData) => Promise<unknown>;
export declare const doPutApiCall: (data: updateData) => Promise<unknown>;
